import { IReducer } from './Types';
/**
 * class decorator, add reducer class to reducers array
 * @param reducerData
 */
export declare function Reducer<T>(reducerData: IReducer<T>): (constructor: Function) => void;
/**
 * registering method to recieve payload on matched type
 * @param type
 */
export declare function Action(type: string | string[]): (target: Object, propertyKey: string, descriptionKey: TypedPropertyDescriptor<Function>) => void;
