import { State } from './state';
import { IDispatch } from './Types';
export declare class Store {
    private state;
    constructor(state: State);
    /**
     * dispatching action, @Action decorator function will be called
     * when it matches type
     * @param action Action
     */
    dispatch<T>(action: IDispatch<T>): void;
    /**
     * getting snapshot of state
     */
    getSnapShot<T>(): T;
}
